KDE 4.9 PyKDE API Reference

- KDE's Python API

# CollectionRequester Class Reference

`from PyKDE4.akonadi import *`

Inherits: KHBox → QFrame → QWidget → QObject
Namespace: Akonadi

## Detailed Description

A widget to request an Akonadi collection from the user.

This class is a widget showing a read-only lineedit displaying the currently chosen collection and a button invoking a dialog for choosing a collection.

Example:

     // create a collection requester to select a collection of contacts
     Akonadi.CollectionRequester requester( Akonadi.Collection.root(), this );
     requester.setMimeTypeFilter( QStringList() << QString( "text/directory" ) );

     ...

     const Akonadi.Collection collection = requester.collection();
     if ( collection.isValid() ) {
       ...
     }

Author:
  Ingo Klöcker <kloecker@kde.org>

Since:
  4.3

## Signals

| collectionChanged (Akonadi.Collection collection)

## Methods

| __init__ (self, QWidget parent=0)
| __init__ (self, Akonadi.Collection collection, QWidget parent=0)
Akonadi.Collection.Rights | accessRightsFilter (self)
| changeCollectionDialogOptions (self, Akonadi.CollectionDialog.CollectionDialogOptions options)
Akonadi.Collection | collection (self)
QStringList | mimeTypeFilter (self)
| setAccessRightsFilter (self, Akonadi.Collection.Rights rights)
| setCollection (self, Akonadi.Collection collection)
| setMimeTypeFilter (self, QStringList mimeTypes)

## Signal Documentation

collectionChanged | ( | Akonadi.Collection | collection
| ) |  |  |

This signal is emitted when the selected collection has changed.

Parameters:

  | collection | The selected collection.

Since:
  4.5

Signal syntax:
  `QObject.connect(source, SIGNAL("collectionChanged(const Akonadi::Collection&)"), target_slot)`

## Method Documentation

__init__ | ( | self, |
|  | QWidget | parent=0
| ) |  |  |

Creates a collection requester.

Parameters:

  | parent | The parent widget.

__init__ | ( | self, |
|  | Akonadi.Collection | collection,
|  | QWidget | parent=0
| ) |  |  |

Creates a collection requester with an initial collection.

Parameters:

  | collection | The initial collection.
  | parent | The parent widget.

Akonadi.Collection.Rights accessRightsFilter | ( |  | self ) |

Returns the access rights that the listed collections shall match with.

Since:
  4.4

changeCollectionDialogOptions | ( | self, |
|  | Akonadi.CollectionDialog.CollectionDialogOptions | options
| ) |  |  |

Akonadi.Collection collection | ( |  | self ) |

Returns the currently chosen collection, or an empty collection if none none was chosen.

QStringList mimeTypeFilter | ( |  | self ) |

Returns the mime types any of which the selected collection shall support.

setAccessRightsFilter | ( | self, |
|  | Akonadi.Collection.Rights | rights
| ) |  |  |

Sets the access rights that the listed collections shall match with.

Since:
  4.4

setCollection | ( | self, |
|  | Akonadi.Collection | collection
| ) |  |  |

Sets the collection of the requester.

setMimeTypeFilter | ( | self, |
|  | QStringList | mimeTypes
| ) |  |  |

Sets the mime types any of which the selected collection shall support.